## ros-melodic-ublox 1.5.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(ublox)
find_package(catkin REQUIRED)
catkin_metapackage()

## ros-melodic-ublox 1.4.1

=== debian/changelog ===
ros-melodic-ublox (1.4.1-1stretch) stretch; urgency=high



 -- Veronica Lane <vmlane@alum.mit.edu>  Wed, 03 Jun 2020 22:00:00 -0000

ros-melodic-ublox (1.4.0-1stretch) stretch; urgency=high

  * Bump CMake minimum version to 3.0.2
  * Contributors: Gonçalo Pereira

 -- Veronica Lane <vmlane@alum.mit.edu>  Wed, 27 May 2020 22:00:00 -0000

ros-melodic-ublox (1.3.1-1stretch) stretch; urgency=high

  * Add metapackage dependencies
  * Contributors: Mateusz Sadowski, Tim Clephas

 -- Veronica Lane <vmlane@alum.mit.edu>  Wed, 11 Mar 2020 23:00:00 -0000

ros-melodic-ublox (1.3.0-1stretch) stretch; urgency=high



 -- Veronica Lane <vmlane@alum.mit.edu>  Thu, 09 Jan 2020 23:00:00 -0000

ros-melodic-ublox (1.2.0-1stretch) stretch; urgency=high



 -- Veronica Lane <vmlane@alum.mit.edu>  Mon, 18 Nov 2019 23:00:00 -0000

ros-melodic-ublox (1.1.2-1stretch) stretch; urgency=high

  * README and package xml updates
  * Contributors: Veronica Lane

 -- Veronica Lane <vmlane@alum.mit.edu>  Tue, 01 Aug 2017 22:00:00 -0000

ros-melodic-ublox (1.1.0-1stretch) stretch; urgency=high

  * Updated package xmls with new version number and corrected my email address. Also updated readme to include information about new version plus new parameter
  * README and ublox package version
  * Contributors: Veronica Lane

 -- Veronica Lane <vmlane@alum.mit.edu>  Sun, 16 Jul 2017 22:00:00 -0000

ros-melodic-ublox (1.0.0-1stretch) stretch; urgency=high

  * added myself as maintainer to package xmls and updated version numbers of modified packages.
  * Contributors: Veronica Lane

 -- Veronica Lane <vmlane@alum.mit.edu>  Thu, 22 Jun 2017 22:00:00 -0000

ros-melodic-ublox (0.0.5-1stretch) stretch; urgency=high



 -- Veronica Lane <vmlane@alum.mit.edu>  Fri, 05 Aug 2016 22:00:00 -0000

ros-melodic-ublox (0.0.4-1stretch) stretch; urgency=high



 -- Veronica Lane <vmlane@alum.mit.edu>  Sun, 07 Dec 2014 23:00:00 -0000

ros-melodic-ublox (0.0.3-1stretch) stretch; urgency=high

  * Updated readme to reflect changes
  * Contributors: Gareth Cross

 -- Veronica Lane <vmlane@alum.mit.edu>  Fri, 17 Oct 2014 22:00:00 -0000

ros-melodic-ublox (0.0.2-1stretch) stretch; urgency=high



 -- Veronica Lane <vmlane@alum.mit.edu>  Thu, 02 Oct 2014 22:00:00 -0000

ros-melodic-ublox (0.0.1-1stretch) stretch; urgency=high



 -- Veronica Lane <vmlane@alum.mit.edu>  Thu, 14 Aug 2014 22:00:00 -0000

ros-melodic-ublox (0.0.0-1stretch) stretch; urgency=high

  * ublox: first commit
  * Contributors: Chao Qu

 -- Veronica Lane <vmlane@alum.mit.edu>  Sun, 22 Jun 2014 22:00:00 -0000

=== debian/control ===
Source: ros-melodic-ublox
Section: misc
Priority: optional
Maintainer: Veronica Lane <vmlane@alum.mit.edu>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin
Homepage: http://wiki.ros.org/ublox
Standards-Version: 3.9.2

Package: ros-melodic-ublox
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-ublox-gps, ros-melodic-ublox-msgs, ros-melodic-ublox-serialization
Description: Provides a ublox_gps node for u-blox GPS receivers, messages, and serialization packages for the binary UBX protocol.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-ublox//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-ublox 1.5.0

=== debian/changelog ===
ros-melodic-ublox (1.5.0-1bionic) bionic; urgency=high



 -- Veronica Lane <vmlane@alum.mit.edu>  Thu, 14 Oct 2021 22:00:00 -0000

ros-melodic-ublox (1.4.1-1bionic) bionic; urgency=high



 -- Veronica Lane <vmlane@alum.mit.edu>  Wed, 03 Jun 2020 22:00:00 -0000

ros-melodic-ublox (1.4.0-1bionic) bionic; urgency=high

  * Bump CMake minimum version to 3.0.2
  * Contributors: Gonçalo Pereira

 -- Veronica Lane <vmlane@alum.mit.edu>  Wed, 27 May 2020 22:00:00 -0000

ros-melodic-ublox (1.3.1-1bionic) bionic; urgency=high

  * Add metapackage dependencies
  * Contributors: Mateusz Sadowski, Tim Clephas

 -- Veronica Lane <vmlane@alum.mit.edu>  Wed, 11 Mar 2020 23:00:00 -0000

ros-melodic-ublox (1.3.0-1bionic) bionic; urgency=high



 -- Veronica Lane <vmlane@alum.mit.edu>  Thu, 09 Jan 2020 23:00:00 -0000

ros-melodic-ublox (1.2.0-1bionic) bionic; urgency=high



 -- Veronica Lane <vmlane@alum.mit.edu>  Mon, 18 Nov 2019 23:00:00 -0000

ros-melodic-ublox (1.1.2-1bionic) bionic; urgency=high

  * README and package xml updates
  * Contributors: Veronica Lane

 -- Veronica Lane <vmlane@alum.mit.edu>  Tue, 01 Aug 2017 22:00:00 -0000

ros-melodic-ublox (1.1.0-1bionic) bionic; urgency=high

  * Updated package xmls with new version number and corrected my email address. Also updated readme to include information about new version plus new parameter
  * README and ublox package version
  * Contributors: Veronica Lane

 -- Veronica Lane <vmlane@alum.mit.edu>  Sun, 16 Jul 2017 22:00:00 -0000

ros-melodic-ublox (1.0.0-1bionic) bionic; urgency=high

  * added myself as maintainer to package xmls and updated version numbers of modified packages.
  * Contributors: Veronica Lane

 -- Veronica Lane <vmlane@alum.mit.edu>  Thu, 22 Jun 2017 22:00:00 -0000

ros-melodic-ublox (0.0.5-1bionic) bionic; urgency=high



 -- Veronica Lane <vmlane@alum.mit.edu>  Fri, 05 Aug 2016 22:00:00 -0000

ros-melodic-ublox (0.0.4-1bionic) bionic; urgency=high



 -- Veronica Lane <vmlane@alum.mit.edu>  Sun, 07 Dec 2014 23:00:00 -0000

ros-melodic-ublox (0.0.3-1bionic) bionic; urgency=high

  * Updated readme to reflect changes
  * Contributors: Gareth Cross

 -- Veronica Lane <vmlane@alum.mit.edu>  Fri, 17 Oct 2014 22:00:00 -0000

ros-melodic-ublox (0.0.2-1bionic) bionic; urgency=high



 -- Veronica Lane <vmlane@alum.mit.edu>  Thu, 02 Oct 2014 22:00:00 -0000

ros-melodic-ublox (0.0.1-1bionic) bionic; urgency=high



 -- Veronica Lane <vmlane@alum.mit.edu>  Thu, 14 Aug 2014 22:00:00 -0000

ros-melodic-ublox (0.0.0-1bionic) bionic; urgency=high

  * ublox: first commit
  * Contributors: Chao Qu

 -- Veronica Lane <vmlane@alum.mit.edu>  Sun, 22 Jun 2014 22:00:00 -0000
